> For the complete documentation index, see [llms.txt](https://docs.silk.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.silk.us/api-reference/endpoints/system-configuration/system-parameters.md).

# System parameters

System information and configuration limits, such as the maximum number of volumes and host LUNs, the maximum volume size, and network defaults.

Use this endpoint to check the system's limits before provisioning at scale, or to retrieve system details for inventory.

## GET /system/partial\_system\_parameters

> Get system parameters

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"System parameters","description":"System information and configuration limits, such as the maximum number of volumes and host LUNs, the maximum volume size, and network defaults.\n\nUse this endpoint to check the system's limits before provisioning at scale, or to retrieve system details for inventory."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"parameters":{"limit":{"name":"__limit","in":"query","schema":{"type":"integer"},"description":"Caps the number of returned entities. Requires a sort parameter when paging."},"offset":{"name":"__offset","in":"query","schema":{"type":"integer"},"description":"Returns results starting from this offset. Requires a sort parameter when paging."},"sort":{"name":"__sort","in":"query","schema":{"type":"string"},"description":"Comma-separated object properties to sort by."},"sort_order":{"name":"__sort_order","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"Sort direction."}},"schemas":{"Collection":{"type":"object","properties":{"hits":{"type":"array","items":{},"description":"The matching objects."},"limit":{"type":"integer","description":"Page size."},"offset":{"type":"integer","description":"Offset of the first returned object."},"total":{"type":"integer","description":"Total number of matching objects."}}},"SystemPartialSystemParameters":{"type":"object","properties":{"_dbg_self_replication_enabled":{"type":"boolean"},"available_host_connectivity_type":{"type":"string"},"checkpointing_mode":{"type":"string"},"customer_info":{"type":"string"},"default_dataport_mtu_size":{"type":"integer"},"default_gateway":{"nullable":true},"dns_server1":{"type":"string"},"dns_server2":{"type":"string"},"dns_server3":{"type":"string"},"enable_flex_mode":{"type":"boolean"},"environment":{"type":"string"},"external_ip":{"type":"string"},"external_mask":{"type":"string"},"fe.max_num_of_lus":{"type":"integer"},"files_sending_protocol":{"type":"string"},"global_iscsi_target_name":{"type":"string"},"id":{"type":"integer"},"ipmi_ip_prefix":{"type":"string"},"ipmi_subnet_mask":{"type":"string"},"m1_ip_prefix":{"type":"string"},"m2_ip_prefix":{"type":"string"},"max_cascading_depth":{"type":"integer"},"max_dataport_mtu_size":{"type":"integer"},"max_host_name_length":{"type":"integer"},"max_lu_desc_length":{"type":"integer"},"max_lu_name_length":{"type":"integer"},"max_lu_size":{"type":"integer"},"max_num_host_luns":{"type":"integer"},"max_num_of_base_vols":{"type":"integer"},"max_num_of_capacity_policy_snapshots":{"type":"integer"},"max_num_of_exposeable_volsnaps":{"type":"integer"},"max_num_of_host_groups":{"type":"integer"},"max_num_of_hosts":{"type":"integer"},"max_num_of_replication_base_vols":{"type":"integer"},"max_num_of_replication_retention_snaps_per_vg":{"type":"integer"},"max_num_of_replication_vgs":{"type":"integer"},"max_num_of_retention_policies":{"type":"integer"},"max_num_of_schedulers":{"type":"integer"},"max_num_of_snaps_per_vg":{"type":"integer"},"max_num_of_syslog_servers":{"type":"integer"},"max_num_of_vg_capacity_policies":{"type":"integer"},"max_num_of_vgs":{"type":"integer"},"max_num_of_views_per_snapshot":{"type":"integer"},"max_num_of_vlans":{"type":"integer"},"max_num_of_volumes_per_vg":{"type":"integer"},"max_object_name_length":{"type":"integer"},"max_replication_targets":{"type":"integer"},"max_retention_policy_name_length":{"type":"integer"},"max_rpo":{"type":"integer"},"max_scheduler_name_length":{"type":"integer"},"max_vlan_tag":{"type":"integer"},"min_capacity_policy_threshold_interval_percentage":{"type":"integer"},"min_dataport_mtu_size":{"type":"integer"},"min_lu_size":{"type":"integer"},"min_rpo":{"type":"integer"},"min_vg_quota":{"type":"integer"},"min_vg_quota_in_bytes":{"type":"integer"},"min_vlan_tag":{"type":"integer"},"product_id":{"type":"string"},"replication_max_bandwidth":{"type":"integer"},"sender_email":{"nullable":true},"smtp_auth":{"nullable":true},"smtp_port":{"nullable":true},"smtp_sec":{"nullable":true},"smtp_server":{"nullable":true},"smtp_user":{"nullable":true},"system_id":{"type":"string"},"thin_clone_max_depth":{"type":"integer"}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/system/partial_system_parameters":{"get":{"tags":["System parameters"],"summary":"Get system parameters","operationId":"listSystemPartialSystemParameters","parameters":[{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"},{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/sort_order"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Collection"},{"type":"object","properties":{"hits":{"type":"array","items":{"$ref":"#/components/schemas/SystemPartialSystemParameters"}}}}]}}}},"default":{"$ref":"#/components/responses/Error"}}}}}}
```

## GET /system/partial\_system\_parameters/{id}

> Get system parameters by ID

```json
{"openapi":"3.0.3","info":{"title":"Silk RESTful API","version":"9.5.20"},"tags":[{"name":"System parameters","description":"System information and configuration limits, such as the maximum number of volumes and host LUNs, the maximum volume size, and network defaults.\n\nUse this endpoint to check the system's limits before provisioning at scale, or to retrieve system details for inventory."}],"servers":[{"url":"https://{host-address}/api/v2","description":"Your Silk Data Pod (SDP)","variables":{"host-address":{"default":"sdp.example.com","description":"Management address of your SDP."}}}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"HTTP Basic authentication. The server responds only to HTTPS requests. Access to object URLs, operations, and fields depends on the user's role (for example `admin` or `viewer`)."}},"schemas":{"SystemPartialSystemParameters":{"type":"object","properties":{"_dbg_self_replication_enabled":{"type":"boolean"},"available_host_connectivity_type":{"type":"string"},"checkpointing_mode":{"type":"string"},"customer_info":{"type":"string"},"default_dataport_mtu_size":{"type":"integer"},"default_gateway":{"nullable":true},"dns_server1":{"type":"string"},"dns_server2":{"type":"string"},"dns_server3":{"type":"string"},"enable_flex_mode":{"type":"boolean"},"environment":{"type":"string"},"external_ip":{"type":"string"},"external_mask":{"type":"string"},"fe.max_num_of_lus":{"type":"integer"},"files_sending_protocol":{"type":"string"},"global_iscsi_target_name":{"type":"string"},"id":{"type":"integer"},"ipmi_ip_prefix":{"type":"string"},"ipmi_subnet_mask":{"type":"string"},"m1_ip_prefix":{"type":"string"},"m2_ip_prefix":{"type":"string"},"max_cascading_depth":{"type":"integer"},"max_dataport_mtu_size":{"type":"integer"},"max_host_name_length":{"type":"integer"},"max_lu_desc_length":{"type":"integer"},"max_lu_name_length":{"type":"integer"},"max_lu_size":{"type":"integer"},"max_num_host_luns":{"type":"integer"},"max_num_of_base_vols":{"type":"integer"},"max_num_of_capacity_policy_snapshots":{"type":"integer"},"max_num_of_exposeable_volsnaps":{"type":"integer"},"max_num_of_host_groups":{"type":"integer"},"max_num_of_hosts":{"type":"integer"},"max_num_of_replication_base_vols":{"type":"integer"},"max_num_of_replication_retention_snaps_per_vg":{"type":"integer"},"max_num_of_replication_vgs":{"type":"integer"},"max_num_of_retention_policies":{"type":"integer"},"max_num_of_schedulers":{"type":"integer"},"max_num_of_snaps_per_vg":{"type":"integer"},"max_num_of_syslog_servers":{"type":"integer"},"max_num_of_vg_capacity_policies":{"type":"integer"},"max_num_of_vgs":{"type":"integer"},"max_num_of_views_per_snapshot":{"type":"integer"},"max_num_of_vlans":{"type":"integer"},"max_num_of_volumes_per_vg":{"type":"integer"},"max_object_name_length":{"type":"integer"},"max_replication_targets":{"type":"integer"},"max_retention_policy_name_length":{"type":"integer"},"max_rpo":{"type":"integer"},"max_scheduler_name_length":{"type":"integer"},"max_vlan_tag":{"type":"integer"},"min_capacity_policy_threshold_interval_percentage":{"type":"integer"},"min_dataport_mtu_size":{"type":"integer"},"min_lu_size":{"type":"integer"},"min_rpo":{"type":"integer"},"min_vg_quota":{"type":"integer"},"min_vg_quota_in_bytes":{"type":"integer"},"min_vlan_tag":{"type":"integer"},"product_id":{"type":"string"},"replication_max_bandwidth":{"type":"integer"},"sender_email":{"nullable":true},"smtp_auth":{"nullable":true},"smtp_port":{"nullable":true},"smtp_sec":{"nullable":true},"smtp_server":{"nullable":true},"smtp_user":{"nullable":true},"system_id":{"type":"string"},"thin_clone_max_depth":{"type":"integer"}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Readable description of the error."}}}},"responses":{"Error":{"description":"Error. See the **Errors** page for status codes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/system/partial_system_parameters/{id}":{"get":{"tags":["System parameters"],"summary":"Get system parameters by ID","operationId":"getSystemPartialSystemParameters","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemPartialSystemParameters"}}}},"default":{"$ref":"#/components/responses/Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.silk.us/api-reference/endpoints/system-configuration/system-parameters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
